### Method

# Clutter Actor add_accessible_state

#### Declaration [src]

    void
    clutter_actor_add_accessible_state (
      ClutterActor* actor,
      AtkStateType state
    )

#### Description [src]

This method adds `state` as one of the accessible states for `actor`. The list of states of an actor describes the current state of user interface element `actor` and is provided so that assistive technologies know how to present `actor` to the user.

Usually you will have no need to add accessible states for an object, as the accessible object can extract most of the states from the object itself. This method is only required when one cannot extract the information automatically from the object itself (i.e.: a generic container used as a toggle menu item will not automatically include the toggled state).

#### Parameters

`state`

  Type: `AtkStateType`

  `AtkStateType` state to add.